API ReferenceEndpointsApplications
Run a one-off shell command in a running container (kubernetes exec)
Authorization
cloady AuthorizationBearer <token>
Personal API token (cldy_…)
In: header
Path Parameters
workspaceSlug*string
appSlug*string
Query Parameters
env?string
Value in
- "production"
- "preview"
- "development"
region?string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/workspaces/string/apps/string/exec" \ -H "Content-Type: application/json" \ -d '{ "component": "string", "command": "string" }'{ "output": "string", "exit": 0, "timedOut": true, "truncated": true}